%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

%global module_name sqlite3dbm

Name:           python-%{module_name}
Version:        0.1.4
Release:        14%{?dist}
Summary:        SQLite-backed dictionary conforming to the dbm interface

License:        ASL 2.0
URL:            https://github.com/Yelp/sqlite3dbm/
Source0:        http://pypi.python.org/packages/source/s/sqlite3dbm/%{module_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%global _description\
This module provides a SQLite-backed dictionary conforming to the dbm\
interface, along with a shelve class that wraps the dict and provides\
serialization for it.\


%description %_description

%package -n python2-%{module_name}
Summary: %summary
%{?python_provide:%python_provide python2-%{module_name}}

%description -n python2-%{module_name} %_description

%prep
%setup -qn %{module_name}-%{version}


%build
%py2_build


%install
rm -rf %{buildroot}
%py2_install

 
%files -n python2-%{module_name}
%doc README.md LICENSE.txt AUTHORS.txt CHANGES.txt
%{python2_sitelib}/%{module_name}
%{python2_sitelib}/%{module_name}-*.egg-info


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Feb 12 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.1.4-13
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.4-11
- Python 2 binary package renamed to python2-sqlite3dbm
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 07 2012 Ian Weller <iweller@redhat.com> - 0.1.4-2
- Add python-setuptools to BuildRequires
- s/python-devel/python2-devel/
- Make definition of python_sitelib conditional
- Use more specific filenames in file list

* Fri Jan 13 2012 Ian Weller <iweller@redhat.com> - 0.1.4-1
- Initial package build
